API DocumentationManufacturer customer controller

Create a customer in an organization

POST
/api/manufacturer/v1/customer/organisation/{organisationId}

Creates a new customer that belongs to a specific organization

Authorization

Phasio API Bearer Token
headerAuthorizationBearer <token>

Path Parameters

organisationId*integer

ID of the organization to add the customer to

Formatint64

Request Body

application/json
  1. body
firstName?string
lastName?string
email?string
phoneNumber?string
language?string
Value in"EN""DE""EL""FR""NL""SL""DA""TR""PL""ES""BG""IT""UK""RU""SV"
notificationPreference*string
Value in"EMAIL""SMS""WHATSAPP"
affiliate?string
organisationName?string
taxExempt?boolean
authCustomerId?string

Response Body

Customer created successfully

application/json
  1. response
email?string
customerId*integer
Formatint64
organisationId*integer
Formatint64
organisationName?string
isApproved*boolean
firstName*string
lastName*string
phoneNumber*string
notificationPreference*string
discountId?integer
Formatint64
discountPercentage?number
language?string
curl -X POST 'https://m-api.eu.phas.io/api/manufacturer/v1/customer/organisation/1' \  -H 'Content-Type: application/json' \  -d '{  "notificationPreference": "EMAIL"}'
{  "email": "string",  "customerId": 0,  "organisationId": 0,  "organisationName": "string",  "isApproved": true,  "firstName": "string",  "lastName": "string",  "phoneNumber": "string",  "notificationPreference": "string",  "discountId": 0,  "discountPercentage": 0,  "language": "string"}

Last updated on